Package org.apache.catalina.tribes.membership

## Interface StaticMembershipServiceMBean

- All Known Implementing Classes:
    `StaticMembershipService`

      public interface StaticMembershipServiceMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Member` | `findMemberByName​(String name)` |
    `int` | `getConnectTimeout()` |
    `long` | `getExpirationTime()` |
    `String[]` | `getMembersByName()` |
    `long` | `getPingInterval()` |
    `Properties` | `getProperties()` |
    `long` | `getRpcTimeout()` |
    `boolean` | `getUseThread()` |
    `boolean` | `hasMembers()` |

- - ### Method Detail

    - #### getExpirationTime

          long getExpirationTime()

    - #### getConnectTimeout

          int getConnectTimeout()

    - #### getRpcTimeout

          long getRpcTimeout()

    - #### getUseThread

          boolean getUseThread()

    - #### getPingInterval

          long getPingInterval()

    - #### getProperties

          Properties getProperties()

    - #### hasMembers

          boolean hasMembers()

    - #### getMembersByName

          String[] getMembersByName()

    - #### findMemberByName

          Member findMemberByName​(String name)